<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>GeoMonitor da Saúde</title>
    <link href="stylesheets/styles.css" rel="stylesheet"/>
    <link href="stylesheets/cluster.css" rel="stylesheet"/>
    <!-- Style for Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.4/dist/leaflet.css"
        integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
        crossorigin=""/>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

    <!-- Latest compiled and minified CSS for Leaflet-->
    <link rel="stylesheet" href="https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.css">

    <!-- Including Vue.js -->
    <script src="https://unpkg.com/vue"></script>
    
    <!-- Including Leaflet -->
    <script src="https://unpkg.com/leaflet@1.3.4/dist/leaflet.js"
        integrity="sha512-nMMmRyTVoLYqjP9hrbed9S+FzjZHW5gY1TWCHA5ckwXZBadntCNs8kEqAWdrb9O7rxbCaA4lKTIWjDXZxflOcA=="
        crossorigin=""></script>

    <!-- Including Leaflet Marker Cluster -->
    <script src="https://unpkg.com/leaflet.markercluster@1.4.1/dist/leaflet.markercluster-src.js"></script>

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js" crossorigin=""></script>
</head>
<body onload="init()">
    <div id="vue-app"> 
        <div id="map-affix" class="affix">
            <div class="map-wrapper" id="procedure_map"> </div>
        </div>
        <!--<div class="btn-column">
            <div class="btn-item clear" id="btn-clear" onclick="limpar()">
                <p class="btn-text">Limpar</p>
            </div>
            <div class="btn-item print" id="btn-print" onclick="print_maps()">
                <p class="btn-text">Imprimir</p>
            </div>
            <div class="btn-item graphs" id="btn-graphs" onclick="graphs()">
                <p class="btn-text">Ver dados da busca</p>
            </div>
            <div class="btn-item download" id="btn-graphs" onclick="download(getData())">
                <p class="btn-text"> Download </p>
            </div>
        </div>-->

        <div class="col-sm-3 background-white" id="filters">
            <div class="card card-block">
                <div class="row">
                    <div class="col-sm-8">
                        <label for="select_automatic_search" title="Habilitar Seleção Automática durante a pesquisa."><b>Busca automática: </b></label>
                    </div>
    
                    <div class="col-sm-4">
                        <label class="switch">
                            <input type="checkbox" id="automatic_search_checkbox" onchange="automatic_search()">
                            <span class="sliderOn round"></span>
                        </label>
                    </div>
    
                    <div class="col-sm-12"><hr></div> <!-- Space line -->
                    <!--<button class="collapsible diagnostic"><h4><b>Procedimento</b></h4></button>-->
                    <div class="wrap">
                        <div class="content">
                            <div class="col-sm-12" v-for="(procedure, index) in procedure">
                                <div class="filter-label">
                                    <label v-bind:title="procedure.title"><b>
                                        {{procedure.display}}
                                    </b></label>
                                </div>
                                <select class="form-control" multiple="multiple" v-bind:id="procedure.id">
                                    <option v-for="options in optionsProcedure[index]" v-bind:value="options.id">{{options.text}}</option>
                                </select>
                                <div class="col-sm-12"><hr></div> <!-- Space line -->
                            </div>
                        </div>
                    </div>
                    <div class="wrap">
                        <div class="content">
                            <div v-for="(patient_info, index) in patient_info">
                                <div class="col-sm-12">
                                    <div class="filter-label">
                                        <label v-bind:title="patient_info.title">
                                            <b>{{patient_info.display}}</b>
                                        </label>
                                    </div>
                                    <select class="form-control" multiple="multiple" v-bind:id="patient_info.id">
                                        <option v-for="options in optionsPatientInfo[index]" v-bind:value="options.id">{{options.text}}</option>
                                    </select>
                                </div>
                                <div class="col-sm-12"><hr></div> <!-- Space line -->
                            </div>
                        </div>
                    </div>
                    <div class="wrap">
                        <div class="content">
                            <div v-for="(establishment, index) in establishment">
                                <div class="col-sm-12">
                                    <div class="filter-label">
                                        <label v-bind:title="establishment.title"><b>
                                            {{establishment.display}}
                                        </b></label>
                                    </div>
                                    <select class="form-control" multiple="multiple" v-bind:id="establishment.id">
                                        <option v-for="options in optionsEstablishment[index]" v-bind:value="options.id">{{options.text}}</option>
                                    </select>
                                </div>
                                <div class="col-sm-12"><hr></div> <!-- Space line -->
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <button class="btn btn-success" type="button" id="btn-submit" onclick="search()">
                            <i class="fa fa-search" aria-hidden="true"></i> Buscar
                        </button>
                        <button class="btn" type="reset" id="btn-clean" onclick="cleanFilters()">
                            <i class="fa fa-search" aria-hidden="true"></i> Limpar
                        </button>
                    </div>        
                </div>
            </div>
        </div>
    </div>
    <script src="app.js">
        $(document).ready(initProcedureMap);
    </script>
</body>
</html>
<!--<script>
        $(document).ready(initProcedureMap);
        $(document).ready(dadosInput);
        /* COLLAPSIBLE FUNCTION */
        var collap = document.getElementsByClassName("collapsible");
        for(var i = 0; i < collap.length; i++) {
            collap[i].addEventListener("click", function() {
                this.classList.toggle("active");
                var wrap = this.nextElementSibling
                var content = this.nextElementSibling.children;
                if($(wrap).css("max-height") === "none"){
                  $(wrap).css("max-height", $(content).height());
                  $(wrap).css("max-height"); //Se tirar essa linha, a animação da volta não funciona
                  $(wrap).css("max-height", 0);
                }
                else {
                  $(wrap).css("max-height", "none");
                }
                $(content).toggleClass("active");
            });
        }
    </script>-->